/*package com.yeejoin.amos.patrol.business.service.intfc;

import java.util.HashMap;
import java.util.List;

import com.yeejoin.amos.patrol.dao.entity.AppVersion;
import com.yeejoin.amos.patrol.dao.entity.MsgSubscribe;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import com.yeejoin.amos.patrol.business.param.LoginUserParam;
import com.yeejoin.amos.patrol.business.param.UserMsgInitParam;
import com.yeejoin.amos.patrol.business.vo.UserCompanyVo;
import com.yeejoin.amos.patrol.dao.entity.SUser;
import com.yeejoin.amos.security.entity.User;
import com.yeejoin.amos.security.entity.dto.UserDTO;

public interface IUserService {

	List<SUser> findAll();
	
	*//**
	 * 新增用户
	 * 
	 * @param userDTO
	 *//*
	void save(UserDTO userDTO);
	
	*//**
	 * 删除用户
	 * 
	 * @param userDTO
	 *//*
	void delete(List<AgencyUserModel> user);

	*//**
	 * 获取公司下所欲呕人员信息
	 * @param orgCode
	 * @return
	 *//*
	public List<SUser> queryUserByOrgCode(String orgCode);

	*//**
	 * 分居orgcode获取公司名称
	 * @param orgCode
	 * @return
	 *//*
	String queryUserCompanyNameByUserId(String orgCode);
	
	*//**
	 * 获取最新的app版本信息
	 * @return
	 *//*
	public AppVersion queryAppLastVersion();

	*//**
	 * 查询当前登录用户及所属公司信息
	 *//*
	UserCompanyVo qryLoginUserAndCompany(LoginUserParam param);

	*//**
	 * 用户消息订阅初始化
	 *//*
	void initUserMsgSubscribe();

	boolean existUser(String userId);
	
	public List<MsgSubscribe> saveUserMsgInit(UserMsgInitParam userInitParam);
}
*/